YUI.add("handlebars-base",function(e,t){
/*!
Handlebars.js - Copyright (C) 2011 Yehuda Katz
https://raw.github.com/wycats/handlebars.js/master/LICENSE
*/
var n=e.namespace("Handlebars");n.SafeString={},function(e){"use strict";function t(e){this.string=e}t.prototype.toString=function(){return""+this.string},e["default"]=t}(n.SafeString),n.SafeString=n.SafeString["default"],n.Utils={},function(e,t){"use strict";var n,r,i,a,o,s;function l(e){return n[e]}n={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#x27;","`":"&#x60;"},r=/[&<>"'`]/g,i=/[&<>"'`]/,e.extend=function(e){for(var t,n=1;n<arguments.length;n++)for(t in arguments[n])Object.prototype.hasOwnProperty.call(arguments[n],t)&&(e[t]=arguments[n][t]);return e},a=Object.prototype.toString,e.toString=a,(o=function(e){return"function"==typeof e})(/x/)&&(o=function(e){return"function"==typeof e&&"[object Function]"===a.call(e)}),e.isFunction=o,s=Array.isArray||function(e){return!(!e||"object"!=typeof e)&&"[object Array]"===a.call(e)},e.isArray=s,e.escapeExpression=function(e){return e instanceof t?e.toString():null==e?"":e?i.test(e=""+e)?e.replace(r,l):e:e+""},e.isEmpty=function(e){return!e&&0!==e||!(!s(e)||0!==e.length)},e.appendContextPath=function(e,t){return(e?e+".":"")+t}}(n.Utils,n.SafeString),n.Exception={},function(e){"use strict";var a=["description","fileName","lineNumber","message","name","number","stack"];function t(e,t){var n,r,i;for(t&&t.firstLine&&(e+=" - "+(n=t.firstLine)+":"+t.firstColumn),r=Error.prototype.constructor.call(this,e),i=0;i<a.length;i++)this[a[i]]=r[a[i]];n&&(this.lineNumber=n,this.column=t.firstColumn)}t.prototype=new Error,e["default"]=t}(n.Exception),n.Exception=n.Exception["default"],function(e,c,u){"use strict";var f,h,n,r,i,t,d;function a(e,t){var i;this.helpers=e||{},this.partials=t||{},(i=this).registerHelper("helperMissing",function(){if(1===arguments.length)return undefined;throw new u("Missing helper: '"+arguments[arguments.length-1].name+"'")}),i.registerHelper("blockHelperMissing",function(e,t){var n=t.inverse,r=t.fn;return!0===e?r(this):!1===e||null==e?n(this):f(e)?0<e.length?(t.ids&&(t.ids=[t.name]),i.helpers.each(e,t)):n(this):(t.data&&t.ids&&((n=d(t.data)).contextPath=c.appendContextPath(t.data.contextPath,t.name),t={data:n}),r(e,t))}),i.registerHelper("each",function(e,t){var n,r,i,a,o,s,l,p;if(!t)throw new u("Must pass iterator to #each");if(n=t.fn,r=t.inverse,i=0,a="",t.data&&t.ids&&(s=c.appendContextPath(t.data.contextPath,t.ids[0])+"."),h(e)&&(e=e.call(this)),t.data&&(o=d(t.data)),e&&"object"==typeof e)if(f(e))for(l=e.length;i<l;i++)o&&(o.index=i,o.first=0===i,o.last=i===e.length-1,s)&&(o.contextPath=s+i),a+=n(e[i],{data:o});else for(p in e)e.hasOwnProperty(p)&&(o&&(o.key=p,o.index=i,o.first=0===i,s)&&(o.contextPath=s+p),a+=n(e[p],{data:o}),i++);return a=0===i?r(this):a}),i.registerHelper("if",function(e,t){return h(e)&&(e=e.call(this)),!t.hash.includeZero&&!e||c.isEmpty(e)?t.inverse(this):t.fn(this)}),i.registerHelper("unless",function(e,t){return i.helpers["if"].call(this,e,{fn:t.inverse,inverse:t.fn,hash:t.hash})}),i.registerHelper("with",function(e,t){var n,r;return h(e)&&(e=e.call(this)),n=t.fn,c.isEmpty(e)?t.inverse(this):(t.data&&t.ids&&((r=d(t.data)).contextPath=c.appendContextPath(t.data.contextPath,t.ids[0]),t={data:r}),n(e,t))}),i.registerHelper("log",function(e,t){t=t.data&&null!=t.data.level?parseInt(t.data.level,10):1;i.log(t,e)}),i.registerHelper("lookup",function(e,t){return e&&e[t]})}e.VERSION="2.0.0",e.COMPILER_REVISION=6,e.REVISION_CHANGES={1:"<= 1.0.rc.2",2:"== 1.0.0-rc.3",3:"== 1.0.0-rc.4",4:"== 1.x.x",5:"== 2.0.0-alpha.x",6:">= 2.0.0-beta.1"},f=c.isArray,h=c.isFunction,n=c.toString,r="[object Object]",(e.HandlebarsEnvironment=a).prototype={constructor:a,logger:i,log:void 0,registerHelper:function(e,t){if(n.call(e)===r){if(t)throw new u("Arg not supported with multiple helpers");c.extend(this.helpers,e)}else this.helpers[e]=t},unregisterHelper:function(e){delete this.helpers[e]},registerPartial:function(e,t){n.call(e)===r?c.extend(this.partials,e):this.partials[e]=t},unregisterPartial:function(e){delete this.partials[e]}},i={methodMap:{0:"debug",1:"info",2:"warn",3:"error"},DEBUG:0,INFO:1,WARN:2,ERROR:3,level:3,log:function(e,t){i.level<=e&&(e=i.methodMap[e],"undefined"!=typeof console)&&console[e]&&console[e].call(console,t)}},t=(e.logger=i).log,e.log=t,d=function(e){var t=c.extend({},e);return t._parent=e,t},e.createFrame=d}(n,n.Utils,n.Exception),n.VM={},function(e,d,g,o,r,i){"use strict";function s(n,e,r,i,a){var t=function(e,t){return r.call(n,e,n.helpers,n.partials,(t=t||{}).data||i,a&&[e].concat(a))};return t.program=e,t.depth=a?a.length:0,t}e.checkRevision=function(e){var t,n=e&&e[0]||1;if(n!==r)throw n<r?(t=i[r],n=i[n],new g("Template was precompiled with an older version of Handlebars than the current runtime. Please update your precompiler to a newer version ("+t+") or downgrade your runtime to an older version ("+n+").")):new g("Template was precompiled with a newer version of Handlebars than the current runtime. Please update your runtime to a newer version ("+e[1]+").")},e.template=function(f,h){var i,a;if(!h)throw new g("No environment passed to template");if(f&&f.main)return h.VM.checkRevision(f.compiler),i={lookup:function(e,t){for(var n=e.length,r=0;r<n;r++)if(e[r]&&null!=e[r][t])return e[r][t]},lambda:function(e,t){return"function"==typeof e?e.call(t):e},escapeExpression:d.escapeExpression,invokePartial:function(e,t,n,r,i,a,o,s,l){var p,c,u;if(i&&(r=d.extend({},r,i)),null==(i=h.VM.invokePartial.call(this,e,n,r,a,o,s,l))&&h.compile&&(a={helpers:a,partials:o,data:s,depths:l},o[n]=h.compile(e,{data:s!==undefined,compat:f.compat},h),i=o[n](r,a)),null==i)throw new g("The partial "+n+" could not be compiled when running in runtime-only mode");if(t){for(c=0,u=(p=i.split("\n")).length;c<u&&(p[c]||c+1!==u);c++)p[c]=t+p[c];i=p.join("\n")}return i},fn:function(e){return f[e]},programs:[],program:function(e,t,n){var r=this.programs[e],i=this.fn(e);return r=t||n?s(this,e,i,t,n):r||(this.programs[e]=s(this,e,i))},data:function(e,t){for(;e&&t--;)e=e._parent;return e},merge:function(e,t){var n=e||t;
return n=e&&t&&e!==t?d.extend({},t,e):n},noop:h.VM.noop,compilerInfo:f.compiler},(a=function(e,t){var n,r=(t=t||{}).data;return a._setup(t),!t.partial&&f.useData&&(r=function(e,t){t&&"object"==typeof t?"root"in t||((t=o(t)).root=e):t={root:e};return t}(e,r)),f.useDepths&&(n=t.depths?[e].concat(t.depths):[e]),f.main.call(i,e,i.helpers,i.partials,r,n)}).isTop=!0,a._setup=function(e){e.partial?(i.helpers=e.helpers,i.partials=e.partials):(i.helpers=i.merge(e.helpers,h.helpers),f.usePartial&&(i.partials=i.merge(e.partials,h.partials)))},a._child=function(e,t,n){if(f.useDepths&&!n)throw new g("must pass parent depths");return s(i,e,f[e],t,n)},a;throw new g("Unknown template object: "+typeof f)},e.program=s,e.invokePartial=function(e,t,n,r,i,a,o){if(r={partial:!0,helpers:r,partials:i,data:a,depths:o},e===undefined)throw new g("The partial "+t+" could not be found");if(e instanceof Function)return e(n,r)},e.noop=function(){return""}}(n.VM,n.Utils,n.Exception,n.createFrame,n.COMPILER_REVISION,n.REVISION_CHANGES),n.template=n.VM.template,n.VERSION+="-yui",n.revive=n.template,e.namespace("Template").Handlebars=n},"patched-v3.18.7",{requires:[]});